{
    name: "Protector",
    spritenum: 367,
    fling: {
        basePower: 80
    },
    onSetStatus(status, target, source, effect) {
        const validSpecies = ['Rhyhorn', 'Rhydon', 'Rhyperior'];
        if (!validSpecies.includes(target.species.name)) return;
        if (source && !source.isAlly(target)) {
            this.add('-activate', target, 'item: Protector');
            return false;
        }
    },
    num: 321,
    gen: 4
}
